<div class="container">

	<h1 class="title">
	  {{ 'PAGES.CHARCOUNT.CHARCOUNT' | translate }}
	</h1>
  


	<!--Input-->
	<div class="flex-item item1" >
		<mat-card class="matcard">
			<p class="marginlessBottom">{{ 'GENERAL.INPUT' | translate }}:</p>
			<div class="outer-input-field outline">
				<textarea no-line-breaks="true" #inputField class="inputField" (input)="inputStr=$event.target.value"></textarea>
			</div>
			
		</mat-card>
	</div>
  
  
		<!--Options-->
	<div class="flex-item item2" >
		<mat-form-field appearance="fill">
			<mat-label>{{ 'PAGES.CHARCOUNT.MUTATEVOWEL' | translate}}</mat-label>
			<mat-select [(value)]="selectedMutation">
			  <mat-option [value]="0">
				{{ 'PAGES.CHARCOUNT.MUTATEVOWEL0' | translate}}
			  </mat-option>
			  <mat-option [value]="1">
				{{ 'PAGES.CHARCOUNT.MUTATEVOWEL1' | translate}}
			  </mat-option>
			  <mat-option [value]="2">
				{{ 'PAGES.CHARCOUNT.MUTATEVOWEL2' | translate}}
			  </mat-option>
			</mat-select>
		</mat-form-field>
		
		<table class="checkbox-container">
			<tr>
				<td>
					<mat-checkbox (change)="igReturnNewLine = $event.checked" color="accent">{{ 'PAGES.CHARCOUNT.IGNEWLINE' | translate}}</mat-checkbox>
				</td>
				<td>
					<mat-checkbox (change)="igSpace = $event.checked" color="accent">{{ 'PAGES.CHARCOUNT.IGSPACE' | translate}}</mat-checkbox>
				</td>
			</tr>
			<tr>
				<td>
					<mat-checkbox (change)="igSpecial = $event.checked" color="accent">{{ 'PAGES.CHARCOUNT.IGSPECIAL' | translate}}</mat-checkbox>
				</td>
				<td>
					<mat-checkbox (change)="igCase = $event.checked" color="accent">{{ 'PAGES.CHARCOUNT.IGCASE' | translate}}</mat-checkbox>
				</td>
			</tr>
		</table>

		<a class="runBtn" (click)="runJar()" [ngClass]="{'disabled': !inputStr}">{{ 'PAGES.CHARCOUNT.COUNT' | translate }}</a>
	</div>


	<!--Output-->
	<div class="flex-item item3" >
		<mat-card class="matcard flex-item">
			<p class="marginlessBottom">{{ 'GENERAL.OUTPUT' | translate }}:</p>
			
			<div class="outer-input-field outline" id="output">
				<p class="outputField"  id="outputP">{{ outputStr }}</p>
			</div>

		</mat-card>
	</div>

</div>